Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Class HandlerEvent

    java.lang.Object
      org.eclipse.ui.commands.HandlerEvent

public final class HandlerEvent
extends Object

An instance of this class describes changes to an instance of `IHandler`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IHandlerListener.handlerChanged(HandlerEvent)`

Constructor Summary
`HandlerEvent(IHandler handler, boolean attributeValuesByNameChanged, Map previousAttributeValuesByName)` Creates a new instance of this class.

Method Summary
`IHandler` | `getHandler()` Returns the instance of the interface that changed.
`Map` | `getPreviousAttributeValuesByName()` Returns the map of previous attribute values by name.
`boolean` | `haveAttributeValuesByNameChanged()` Returns whether or not the attributeValuesByName property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerEvent

    public HandlerEvent(IHandler handler,
                        boolean attributeValuesByNameChanged,
                        Map previousAttributeValuesByName)

  Creates a new instance of this class.

Parameters:
  `handler` - the instance of the interface that changed.
  `attributeValuesByNameChanged` - true, iff the attributeValuesByName property changed.
  `previousAttributeValuesByName` - the map of previous attribute values by name. This map may be empty. If this map is not empty, it's collection of keys must only contain instances of `String`. This map must be `null` if attributeValuesByNameChanged is `false` and must not be null if attributeValuesByNameChanged is `true`.

Method Detail

### getHandler

    public IHandler getHandler()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### getPreviousAttributeValuesByName

    public Map getPreviousAttributeValuesByName()

  Returns the map of previous attribute values by name.

  Returns:
    the map of previous attribute values by name. This map may be empty. If this map is not empty, it's collection of keys is guaranteed to only contain instances of `String`. This map is guaranteed to be `null` if haveAttributeValuesByNameChanged() is `false` and is guaranteed to not be null if haveAttributeValuesByNameChanged() is `true`.

### haveAttributeValuesByNameChanged

    public boolean haveAttributeValuesByNameChanged()

  Returns whether or not the attributeValuesByName property changed.

  Returns:
    true, iff the attributeValuesByName property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.